Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.addressbook.protocol.v1
Class SearchOrganizationsRequest

    java.lang.Object
      be.fgov.ehealth.commons.protocol.v2.RequestType
          be.fgov.ehealth.commons.protocol.v2.PaginationRequestType
              be.fgov.ehealth.addressbook.protocol.v1.SearchOrganizationsRequest

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2018-02-02T03:49:32+01:00",
               comments="JAXB RI v2.2.11")
    public class SearchOrganizationsRequest

extends PaginationRequestType
implements Serializable

Search healthcare organizations based on one or more search criteria

Java class for SearchOrganizationsRequestType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="SearchOrganizationsRequestType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}PaginationRequestType">
           <sequence>
             <choice minOccurs="0">
               <element name="NIHII" type="{urn:be:fgov:ehealth:addressbook:core:v1}NIHIIType"/>
               <element name="CBE" type="{urn:be:fgov:ehealth:addressbook:core:v1}EnterpriseType"/>
               <element name="EHP" type="{urn:be:fgov:ehealth:addressbook:core:v1}EnterpriseType"/>
             </choice>
             <element name="InstitutionName" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="InstitutionType" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <choice minOccurs="0">
               <element name="City" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="ZipCode" type="{http://www.w3.org/2001/XMLSchema}string"/>
             </choice>
             <element name="EMail" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`SearchOrganizationsRequest()`

Method Summary
`String` | `getCBE()` Gets the value of the cbe property.
`String` | `getCity()` Gets the value of the city property.
`String` | `getEHP()` Gets the value of the ehp property.
`String` | `getEMail()` Gets the value of the eMail property.
`String` | `getInstitutionName()` Gets the value of the institutionName property.
`String` | `getInstitutionType()` Gets the value of the institutionType property.
`String` | `getNIHII()` Gets the value of the nihii property.
`String` | `getZipCode()` Gets the value of the zipCode property.
`void` | `setCBE(String value)` Sets the value of the cbe property.
`void` | `setCity(String value)` Sets the value of the city property.
`void` | `setEHP(String value)` Sets the value of the ehp property.
`void` | `setEMail(String value)` Sets the value of the eMail property.
`void` | `setInstitutionName(String value)` Sets the value of the institutionName property.
`void` | `setInstitutionType(String value)` Sets the value of the institutionType property.
`void` | `setNIHII(String value)` Sets the value of the nihii property.
`void` | `setZipCode(String value)` Sets the value of the zipCode property.

Methods inherited from class be.fgov.ehealth.commons.protocol.v2.PaginationRequestType
`getMaxElements, getOffset, setMaxElements, setOffset`

Methods inherited from class be.fgov.ehealth.commons.protocol.v2.RequestType
`getId, getIssueInstant, setId, setIssueInstant`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SearchOrganizationsRequest

    public SearchOrganizationsRequest()

Method Detail

### getEHP

    public String getEHP()

  Gets the value of the ehp property.

  Returns:
    possible object is `String`

### setEHP

    public void setEHP(String value)

  Sets the value of the ehp property.

  Parameters:
    `value` - allowed object is `String`

### getCBE

    public String getCBE()

  Gets the value of the cbe property.

  Returns:
    possible object is `String`

### setCBE

    public void setCBE(String value)

  Sets the value of the cbe property.

  Parameters:
    `value` - allowed object is `String`

### getNIHII

    public String getNIHII()

  Gets the value of the nihii property.

  Returns:
    possible object is `String`

### setNIHII

    public void setNIHII(String value)

  Sets the value of the nihii property.

  Parameters:
    `value` - allowed object is `String`

### getInstitutionName

    public String getInstitutionName()

  Gets the value of the institutionName property.

  Returns:
    possible object is `String`

### setInstitutionName

    public void setInstitutionName(String value)

  Sets the value of the institutionName property.

  Parameters:
    `value` - allowed object is `String`

### getInstitutionType

    public String getInstitutionType()

  Gets the value of the institutionType property.

  Returns:
    possible object is `String`

### setInstitutionType

    public void setInstitutionType(String value)

  Sets the value of the institutionType property.

  Parameters:
    `value` - allowed object is `String`

### getZipCode

    public String getZipCode()

  Gets the value of the zipCode property.

  Returns:
    possible object is `String`

### setZipCode

    public void setZipCode(String value)

  Sets the value of the zipCode property.

  Parameters:
    `value` - allowed object is `String`

### getCity

    public String getCity()

  Gets the value of the city property.

  Returns:
    possible object is `String`

### setCity

    public void setCity(String value)

  Sets the value of the city property.

  Parameters:
    `value` - allowed object is `String`

### getEMail

    public String getEMail()

  Gets the value of the eMail property.

  Returns:
    possible object is `String`

### setEMail

    public void setEMail(String value)

  Sets the value of the eMail property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.14.2 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.